GRPC Core 0.10.0.0

- Main Page
- Data Structures
- Files

- File List
- Globals

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Data Structures | Macros | Typedefs | Functions | Variables
wakeup_fd_posix.h File Reference

Go to the source code of this file.

## Data Structures
struct | grpc_wakeup_fd_vtable
struct | grpc_wakeup_fd_info

## Macros
#define | GRPC_WAKEUP_FD_GET_READ_FD(fd_info) ((fd_info)->read_fd)

## Typedefs
typedef struct grpc_wakeup_fd_info | grpc_wakeup_fd_info
typedef struct grpc_wakeup_fd_vtable | grpc_wakeup_fd_vtable

## Functions
void | grpc_wakeup_fd_global_init (void)
void | grpc_wakeup_fd_global_destroy (void)
void | grpc_wakeup_fd_global_init_force_fallback (void)
void | grpc_wakeup_fd_create (grpc_wakeup_fd_info *fd_info)
void | grpc_wakeup_fd_consume_wakeup (grpc_wakeup_fd_info *fd_info)
void | grpc_wakeup_fd_wakeup (grpc_wakeup_fd_info *fd_info)
void | grpc_wakeup_fd_destroy (grpc_wakeup_fd_info *fd_info)

## Variables
const grpc_wakeup_fd_vtable | grpc_specialized_wakeup_fd_vtable

## Macro Definition Documentation

#define GRPC_WAKEUP_FD_GET_READ_FD | ( |  | fd_info | ) | ((fd_info)->read_fd)

## Typedef Documentation

typedef struct grpc_wakeup_fd_info grpc_wakeup_fd_info

typedef struct grpc_wakeup_fd_vtable grpc_wakeup_fd_vtable

## Function Documentation

void grpc_wakeup_fd_consume_wakeup | ( | grpc_wakeup_fd_info * | fd_info | ) |

void grpc_wakeup_fd_create | ( | grpc_wakeup_fd_info * | fd_info | ) |

void grpc_wakeup_fd_destroy | ( | grpc_wakeup_fd_info * | fd_info | ) |

void grpc_wakeup_fd_global_destroy | ( | void |  | ) |

void grpc_wakeup_fd_global_init | ( | void |  | ) |

void grpc_wakeup_fd_global_init_force_fallback | ( | void |  | ) |

void grpc_wakeup_fd_wakeup | ( | grpc_wakeup_fd_info * | fd_info | ) |

## Variable Documentation

const grpc_wakeup_fd_vtable grpc_specialized_wakeup_fd_vtable